Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009444Dwarf FortressDwarf Mode -- Non-dwarf Citizenspublic2016-01-03 12:272016-06-08 14:47
Reportermartinuzz 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platformi7OSwindowsOS Version7
Product Version0.42.04 
Target VersionFixed in Version0.43.04 
Summary0009444: Full citizen petition not full, can't assign to locations
DescriptionI've had a human, and two goblin performers apply for full citizenship now.
They can now do almost everything; all labours can be enabled / disbled, and I can assign them to squads.

But. I cannot assign them to taverns, temples or libraries. They're not in the list of selectable citizens there. Full citizenship also does not remove them from the locations list for the fort, they're still on that screen along with the long term residents
Steps To Reproducewait for full citizenship petition, accept it.
Try to assign your new citizen to a location.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009492resolvedKnight Otu Other race citizens can not be assigned to occupations like tavern keeper. 
has duplicate 0009702resolvedKnight Otu Visitors who become citizens can't be assigned to locations 

-  Notes
(0034297)
lethosor (manager)
2016-01-03 14:12

A save would be helpful for this one (preferably at http://dffd.bay12games.com/ [^]), since it can take a long time to get a full citizenship petition.
(0034307)
martinuzz (reporter)
2016-01-04 04:05

Done
http://dffd.bay12games.com/file.php?id=11603 [^]
(0034308)
martinuzz (reporter)
2016-01-04 04:06

You're looking for Gobby, Gobbler and Xena
(0034310)
Walkabout (reporter)
2016-01-04 06:51

I can confirm this does happen; I couldn't burrow accepted citizens of other races; for me it was in 42.03 that I experienced it. That fact might explain why I, unlike Martinuzz, could not draft my animal person citizen into a squad at all either. Perhaps that is no longer an issue in 42.04.

If I get a save and situation demonstrating the additional issues, I will provide one. But I can at least confirm the initial bug report here, for what it's worth.
(0034311)
Detros (manager)
2016-01-04 07:04

@Walkabout: There was a note somewhere at forums you can assign "citizined visitors" only to places 2-10 in squads, so you can't assign them as militia captains. That may be the difference between your save and martinuzz' one.
(0034321)
Walkabout (reporter)
2016-01-04 20:05

Thank you Detros for that. I will keep that in mind when checking for this specifically in the future!
(0034358)
Detros (manager)
2016-01-08 08:40
edited on: 2016-01-08 08:51

@Walkabout: Found that thread:
http://www.bay12forums.com/smf/index.php?topic=154769.msg6722610#msg6722610 [^]

I also got my full citizenship petitions so I can say that:
- I can assign citizened visitors into squads, even as military leaders.
- I can also assign long-term-residing visitors into squads, but they have to be "mercenary" and they can't be military leaders.
- I can assign both citizened visitors and long-term-residing visitors into burrows.
- Both citizened visitors and long-term-residing visitors to my fort Inkedborn are listed in core location "Inkedborn".
- Both my citizened visitors unassigned their rooms in tavern and moved into standard bedrooms.
- I can't assign citizened visitors to be performers in tavern/temple/library. I guess this is caused by them being already listed as "Performer" in that core location. Just tested: even non-visitors can't be performers in more than one location at one time.

(0034365)
martinuzz (reporter)
2016-01-08 11:09

another note: even though they cannot be assigned to any location, my full citizenship scholars are still happily pondering, discussing and writing in my libraries. So apparently they somehow remember they were scholars. They not only use my 'all visitors' library, the one they were restrained to when they were still semi-permanent residents, they are now also using my 'citizens only' libraries. So it's not just that they are remembering the location, they are remembering their task.
(0035379)
Toady One (administrator)
2016-06-08 14:47

I've allowed site-wide performer/scholar positions for everybody now, and new citizens in those can be reassigned or taken off completely. Non-citizen residents will remain as they are (until I add a specific way to revoke their status).

- Issue History
Date Modified Username Field Change
2016-01-03 12:27 martinuzz New Issue
2016-01-03 14:12 lethosor Note Added: 0034297
2016-01-03 14:12 lethosor Assigned To => lethosor
2016-01-03 14:12 lethosor Status new => needs feedback
2016-01-04 04:05 martinuzz Note Added: 0034307
2016-01-04 04:05 martinuzz Status needs feedback => assigned
2016-01-04 04:06 martinuzz Note Added: 0034308
2016-01-04 06:51 Walkabout Note Added: 0034310
2016-01-04 07:04 Detros Note Added: 0034311
2016-01-04 20:05 Walkabout Note Added: 0034321
2016-01-06 00:42 Hedede Issue Monitored: Hedede
2016-01-08 05:45 Knight Otu Category Dwarf Mode -- Immigration => Dwarf Mode -- Non-dwarf Citizens
2016-01-08 08:40 Detros Note Added: 0034358
2016-01-08 08:40 Detros Note Edited: 0034358 View Revisions
2016-01-08 08:51 Detros Note Edited: 0034358 View Revisions
2016-01-08 11:09 martinuzz Note Added: 0034365
2016-01-12 18:37 lethosor Status assigned => confirmed
2016-01-19 02:30 Knight Otu Relationship added has duplicate 0009492
2016-01-19 02:30 Knight Otu Issue Monitored: Button
2016-04-22 05:40 Knight Otu Relationship added has duplicate 0009702
2016-05-30 08:16 Kanil Issue Monitored: Kanil
2016-05-30 08:16 Kanil Issue End Monitor: Kanil
2016-06-08 14:47 Toady One Note Added: 0035379
2016-06-08 14:47 Toady One Status confirmed => resolved
2016-06-08 14:47 Toady One Fixed in Version => Next Version
2016-06-08 14:47 Toady One Resolution open => fixed
2016-06-08 14:47 Toady One Assigned To lethosor => Toady One
2017-09-26 00:39 Hedede Issue End Monitor: Hedede


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker